Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156276 - java.awt.filedialog blocks instead of text
Summary: java.awt.filedialog blocks instead of text
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: openmotif
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-28 16:04 UTC by Clay Campbell
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-13 19:55:01 UTC


Attachments (Terms of Use)

Description Clay Campbell 2005-04-28 16:04:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.7) Gecko/20050414 Firefox/1.0.3

Description of problem:
After the April 23 updates, java.awt.filedialog comes up with blocks where text should be, and these errors are thrown

Warning:
    Name: Text
    Class: XmTextField
    Character 'c' not supported in font.  Discarded.
replace c with any char used in the filedialog

changing the env var LANG=en_US.UTF-8 to LANG=UTF-8 fixed this 

I'm not sure what package/update is actually the culprit, I'm guessing lesstif



Version-Release number of selected component (if applicable):
xorg updates from april 23

How reproducible:
Always

Steps to Reproduce:
1. run a java app with the java.awt.filedialog class and open a file dialog
2. changing the env var LANG=en_US.UTF-8 to LANG=UTF-8 
3. run java app again, proper text is displayed
  

Actual Results:  text in dialog box shows up as blocks(squares)

Expected Results:  should show up as text

Additional info:

This problem did not surface until the april 23 patch cluster for FC3.

Comment 1 Florin Andrei 2005-04-28 23:00:48 UTC
bug #156319 is similar

Comment 2 Clay Campbell 2005-05-04 14:50:59 UTC
I did some strace(es) of the java app, one with LANG set default
LANG=en_US.UTF-8 one to LANG=UTF-8 (makes it work)

The diff showed this when LANG=en_US.UTF-8

open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE) = 3
> fstat64(3, {st_mode=S_IFREG|0644, st_size=39559104, ...}) = 0
> mmap2(NULL, 2097152, PROT_READ, MAP_PRIVATE, 3, 0) = 0xf6dea000
> mmap2(NULL, 4096, PROT_READ, MAP_PRIVATE, 3, 0x458) = 0xf6de9000
> close(3)                                = 0

Maybe this will help

Comment 3 Clay Campbell 2005-05-05 13:51:22 UTC
Sorry for not specifying this earlier, this is seen running from 

jdk_1.4.2_03



Comment 4 Clay Campbell 2005-05-05 14:39:44 UTC
https://bugzilla.redhat.com/bugzilla/long_list.cgi?buglist=124960

This looks very similar

BTW using jdk_1.4.2_07 produces the same error

Comment 5 Clay Campbell 2005-06-10 13:45:03 UTC
The Jun 7 updates appear to have fixed this bug.  Any idea which package /
package combo was the culprit?

Thanks everyone,

Clay

Comment 6 Thomas Woerner 2006-01-20 15:35:22 UTC
Can you please test this with openmotif-2.2.3-10.FC3.1, which was pushed as as
update for FC-3?

Comment 7 John Thacker 2007-01-13 19:55:01 UTC
(This is a mass update to bugs which have been in NEEDINFO unmodified for over a
year and are for a currently unsupported version of Fedora Core.)

Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.


Note You need to log in before you can comment on or make changes to this bug.